Loading...
Searching...
No Matches
mbedtls_aria_context Struct Reference

The ARIA context-type definition. More...

`#include <aria.h>`

## Data Fields

unsigned char | private_nr
uint32_t | private_rk [MBEDTLS_ARIA_MAX_ROUNDS+1][MBEDTLS_ARIA_BLOCKSIZE/4]
int | dummy

## Detailed Description

The ARIA context-type definition.

Definition at line 52 of file aria.h.

## Field Documentation

## dummy

int mbedtls_aria_context::dummy

Definition at line 11 of file aria_alt.h.

## private_nr

unsigned char mbedtls_aria_context::private_nr

The number of rounds (12, 14 or 16)

Definition at line 53 of file aria.h.

## private_rk

uint32_t mbedtls_aria_context::private_rk[MBEDTLS_ARIA_MAX_ROUNDS+1][MBEDTLS_ARIA_BLOCKSIZE/4]

The ARIA round keys.

Definition at line 55 of file aria.h.

The documentation for this struct was generated from the following files:

- aria.h
- aria_alt.h